use std::fs::File;
use std::io;
use std::io::Read;

fn read_user_from_file() -> Result<String, io::Error> {
    let mut f = File::open("foo.md")?;
    let mut s = String::new();
    f.read_to_string(&mut s)?;
    Ok(s)
}

fn main() {
    let content = read_user_from_file();
    match content {
        Ok(c) => println!("{}", c),
        Err(e) => println!("err: {}", e),
    }
}
